comonad-4.2.7.2: Comonads

Copyright | (C) 2008-2015 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell2010

Control.Comonad.Trans.Class

Description

# Documentation

class ComonadTrans t where Source

Methods

lower :: Comonad w => t w a -> w a Source

Instances

ComonadTrans IdentityT Source |
ComonadTrans (EnvT e) Source |
ComonadTrans (StoreT s) Source |
Monoid m => ComonadTrans (TracedT m) Source |